{
    "name": "fulfillment-frontend",
    "private": true,
    "version": "0.0.0",
    "type": "module",
    "scripts": {
        "dev": "vite --force",
        "build": "tsc && vite build",
        "lint": "eslint . --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
        "preview": "vite preview",
        "generate-client": "openapi --input http://127.0.0.1:8000/openapi.json --output ./src/client --client axios --useOptions --useUnionTypes"
    },
    "dependencies": {
        "@fortawesome/fontawesome-svg-core": "^6.6.0",
        "@fortawesome/free-regular-svg-icons": "^6.6.0",
        "@fortawesome/free-solid-svg-icons": "^6.6.0",
        "@fortawesome/react-fontawesome": "^0.2.2",
        "@hello-pangea/dnd": "^17.0.0",
        "@mantine/charts": "^7.13.5",
        "@mantine/core": "^7.11.2",
        "@mantine/dates": "^7.13.5",
        "@mantine/dropzone": "^7.11.2",
        "@mantine/form": "^7.11.2",
        "@mantine/hooks": "^7.11.2",
        "@mantine/modals": "^7.11.2",
        "@mantine/notifications": "^7.11.2",
        "@reduxjs/toolkit": "^2.2.6",
        "@tabler/icons-react": "^3.11.0",
        "@tanstack/react-query": "^5.51.9",
        "@tanstack/react-router": "^1.45.6",
        "@tanstack/router-devtools": "^1.45.6",
        "@tanstack/router-vite-plugin": "^1.45.3",
        "axios": "^1.7.2",
        "classnames": "^2.5.1",
        "clsx": "^2.1.1",
        "cyrillic-to-translit-js": "^3.2.1",
        "dayjs": "^1.11.12",
        "dot-object": "^2.1.5",
        "file-saver": "^2.0.5",
        "framer-motion": "^11.3.8",
        "globals": "^15.8.0",
        "jwt-decode": "^4.0.0",
        "lodash": "^4.17.21",
        "mantine-contextmenu": "^7.12.2",
        "mantine-datatable": "^7.15.1",
        "mantine-form-zod-resolver": "^1.1.0",
        "mantine-react-table": "^2.0.0-beta.5",
        "phone": "^3.1.49",
        "react": "^18.3.1",
        "react-barcode": "^1.5.3",
        "react-dom": "^18.3.1",
        "react-imask": "^7.6.1",
        "react-redux": "^9.1.2",
        "react-to-print": "^2.15.1",
        "reactflow": "^11.11.4",
        "recharts": "^2.13.3",
        "zod": "^3.23.8"
    },
    "devDependencies": {
        "@eslint/js": "^9.14.0",
        "@types/dot-object": "^2.1.6",
        "@types/eslint__js": "^8.42.3",
        "@types/file-saver": "^2.0.7",
        "@types/lodash": "^4.17.7",
        "@types/node": "^22.13.9",
        "@types/react": "^18.3.3",
        "@types/react-dom": "^18.3.0",
        "@typescript-eslint/eslint-plugin": "^7.16.1",
        "@typescript-eslint/parser": "^7.16.1",
        "@vitejs/plugin-react-swc": "^3.7.0",
        "eslint": "^9.14.0",
        "eslint-plugin-react-hooks": "^4.6.2",
        "eslint-plugin-react-refresh": "^0.4.8",
        "openapi-typescript-codegen": "^0.29.0",
        "postcss": "^8.4.39",
        "postcss-preset-mantine": "^1.16.0",
        "postcss-simple-vars": "^7.0.1",
        "sass": "^1.77.8",
        "typescript": "^5.5.3",
        "typescript-eslint": "^7.16.1",
        "vite": "^5.3.4",
        "yarn-upgrade-all": "^0.7.2"
    },
    "packageManager": "yarn@4.1.0"
}
